EventBuffer::drain
EventBuffer::expand
EventBuffer
PHP Manual

# EventBuffer::enableLocking

(PECL event >= 1.2.6-beta)

EventBuffer::enableLocking —

### Description

public void EventBuffer::enableLocking ( void )

Enable locking on an EventBuffer so that it can safely be used by multiple threads at the same time. When locking is enabled, the lock will be held when callbacks are invoked. This could result in deadlock if you aren't careful. Plan accordingly!

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### See Also

- » Evbuffers and Thread-safety

EventBuffer::drain
EventBuffer::expand
EventBuffer
PHP Manual